/*

	Copyright  2003 Frank Condello
	
	Please see LICENSE.txt included with this distribution for usage restrictions.

*/

/* RBCommon.h: Include this instead of rb_plugin.h to gain some useful types and macros */

#ifndef RBCOMMON_H
#define RBCOMMON_H

#include "rb_plugin.h"

// So Win32 code doesn't complain
#if !TARGET_OS_MAC
typedef unsigned char	UInt8;
typedef signed char		SInt8;
typedef unsigned short	UInt16;
typedef signed short	SInt16;
typedef unsigned long	UInt32;
typedef signed long		SInt32;
#endif

// Took a cue from TT's starter kit (not worried about 68k types though)
typedef long			RBinteger;
typedef unsigned char	RBbool;
typedef long			RBboolRet;
typedef double			RBdouble;
typedef float			RBsingle;

// Easier on the eyes...
#define SizeOfProperties(x) ( sizeof(x) / sizeof(REALproperty) )
#define SizeOfMethods(x) ( sizeof(x) / sizeof(REALmethodDefinition) )
#define SizeOfEvents(x) ( sizeof(x) / sizeof(REALevent) )

#endif // RBCOMMON_H